Bug 6393 - "openssl smime" segfault
: "openssl smime" segfault
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/openssl)
: 2.4
: all Linux
: P2 major
Assigned To:
:
: http://www.aet.tu-cottbus.de/rt2/Tick...
:
:
:
  Show dependency tree
 
Reported: 2005-04-03 18:27 by
Modified: 2005-09-04 23:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-03 18:27:00
Падение openssl.
Исправлено в 0.9.7e.
Я локально собрал 0.9.7f и всё OK.

Steps to Reproduce:
$ openssl req -newkey rsa:1024 -nodes -x509 -days 3650 -subj
'/C=RU/ST=RU/L=Saint-Petersburg/CN=TestMode' -keyout recipient.pem -out
recipient.pem
$ echo -e "\nXXX" | openssl smime -encrypt -rc2-128 -subject "-*-" -text
recipient.pem
Actual Results:  
Segmentation fault

Expected Results:  
Encrypted message
------- Comment #1 From 2005-06-17 19:44:35 -------
Should be fixed in openssl-0.9.7g-alt1.